This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 850198 - Introduce new systemd-rpm macros in mailman spec file
Introduce new systemd-rpm macros in mailman spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:48 EDT by Lukáš Nykrýn
Modified: 2013-01-11 19:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 19:40:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (2.30 KB, patch)
2012-10-24 08:53 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:48:36 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-10-24 08:53:34 EDT
Created attachment 632763 [details]
Patch replaces scriptlets with new systemd macros

You had service ... stop and systemctl stop call in preun part and those two commands do basically the same thing - stopping the service. So I replaced it with %systemd_preun macro which calls only systemctl stop. If the service call was there for any special purpose, let me know and I will correct the patch.
Comment 2 Fedora Update System 2012-10-31 06:14:59 EDT
mailman-2.1.15-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mailman-2.1.15-5.fc18
Comment 3 Fedora Update System 2012-10-31 14:08:03 EDT
Package mailman-2.1.15-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mailman-2.1.15-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17340/mailman-2.1.15-5.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-11 19:40:10 EST
mailman-2.1.15-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.